package com.slibra.web.controller.business;

import com.alibaba.fastjson2.JSON;
import com.slibra.business.req.AiChatReq;
import com.slibra.business.req.AiChatRes;
import com.slibra.business.service.IFrontService;
import com.slibra.common.core.controller.BaseController;
import com.slibra.common.core.domain.AjaxResult;
import io.micrometer.core.annotation.Timed;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 大模型的相关接口
 */
@RestController
@RequestMapping("/bigModel")
@Slf4j
public class BigModelController extends BaseController {


    @Autowired
    private IFrontService frontService;


    /**
      * 测试
      * @return
      */
    @Timed(value = "test", description = "测试prometheus", histogram = true)
    @GetMapping(value = "/hello")
    public AjaxResult hello()
    {
        log.info("进入了 测试springmvc 接口");
        return AjaxResult.success("success");
    }

    /**
     *AI语音客服大模型请求接口
     * @param aiChatReq
     * @return
     */
    @PostMapping("/queryBusinessInfo")
    public AiChatRes queryBusinessInfo(@RequestBody AiChatReq aiChatReq){
        log.info("进入了 AI语音客服大模型请求 接口，请求参数为{}", JSON.toJSONString(aiChatReq));
        return this.frontService.queryBusinessInfo(aiChatReq);
    }


//    /**
//     * 获取大屏的实时数据 + 统计数据
//     * @return
//     */
//    @GetMapping(value = "/realTimeData")
//    public AjaxResult realTimeData()
//    {
//        log.info("进入了 获取大屏的实时数据 + 统计数据 接口");
//        return AjaxResult.success(frontService.countInfo());
//    }
//
//
//    /**
//     * 分页获取大模型的问答记录
//     * @param tXinyiChatRecord
//     * @return
//     */
//    @GetMapping("/bigModel/qa/pageList")
//    public TableDataInfo qaPageList(TXinyiChatRecord tXinyiChatRecord)
//    {
//        log.info("进入了 分页获取大模型的问答记录 接口");
//        //获取登录用户信息
//        Long userId = SecurityUtils.getUserId();
//        tXinyiChatRecord.setUserId(String.valueOf(userId));
//        startPage();
//        return getDataTable(xinyiChatRecordMapper.selectTXinyiChatRecordFirstList(tXinyiChatRecord));
//    }

































}
