package com.slibra.business.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 白名单配置对象 t_whitelist
 * 
 * @author slibra
 * @date 2024-11-05
 */

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TWhitelist extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 电话号码 */
    @Excel(name = "电话号码")
    private String phone;

    /** 描述说明（备注） */
    @Excel(name = "描述说明", readConverterExp = "备=注")
    private String description;

    /** 类型（0人工白名单  1机器人白名单） */
    @Excel(name = "类型", readConverterExp = "0=人工白名单,1=机器人白名单")
    private Integer type;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

}
