package com.slibra.business.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 添加坐席用户记录对象 t_zuoxi_record
 * 
 * @author slibra
 * @date 2025-01-08
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TZuoxiRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 用户名称-冗余字段 */
    @Excel(name = "用户名称-冗余字段")
    private String userName;

    /** 类型（0人工 1机器人）-冗余字段 */
    @Excel(name = "类型", readConverterExp = "0=人工,1=机器人")
    private Long type;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

}
