package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.CAgentMonitor;

/**
 * 坐席监控Mapper接口
 * 
 * @author slibra
 * @date 2024-11-25
 */
public interface CAgentMonitorMapper 
{
    /**
     * 查询坐席监控
     * 
     * @param id 坐席监控主键
     * @return 坐席监控
     */
    public CAgentMonitor selectCAgentMonitorById(String id);

    /**
     * 查询坐席监控列表
     * 
     * @param cAgentMonitor 坐席监控
     * @return 坐席监控集合
     */
    public List<CAgentMonitor> selectCAgentMonitorList(CAgentMonitor cAgentMonitor);

    /**
     * 新增坐席监控
     * 
     * @param cAgentMonitor 坐席监控
     * @return 结果
     */
    public int insertCAgentMonitor(CAgentMonitor cAgentMonitor);

    /**
     * 修改坐席监控
     * 
     * @param cAgentMonitor 坐席监控
     * @return 结果
     */
    public int updateCAgentMonitor(CAgentMonitor cAgentMonitor);

    /**
     * 删除坐席监控
     * 
     * @param id 坐席监控主键
     * @return 结果
     */
    public int deleteCAgentMonitorById(String id);

    /**
     * 批量删除坐席监控
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCAgentMonitorByIds(String[] ids);
}
