package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.CBucket;

/**
 * 流量分桶Mapper接口
 * 
 * @author slibra
 * @date 2025-01-06
 */
public interface CBucketMapper 
{
    /**
     * 查询流量分桶
     * 
     * @param id 流量分桶主键
     * @return 流量分桶
     */
    public CBucket selectCBucketById(String id);

    /**
     * 查询流量分桶列表
     * 
     * @param cBucket 流量分桶
     * @return 流量分桶集合
     */
    public List<CBucket> selectCBucketList(CBucket cBucket);

    /**
     * 新增流量分桶
     * 
     * @param cBucket 流量分桶
     * @return 结果
     */
    public int insertCBucket(CBucket cBucket);

    /**
     * 修改流量分桶
     * 
     * @param cBucket 流量分桶
     * @return 结果
     */
    public int updateCBucket(CBucket cBucket);

    /**
     * 删除流量分桶
     * 
     * @param id 流量分桶主键
     * @return 结果
     */
    public int deleteCBucketById(String id);

    /**
     * 批量删除流量分桶
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCBucketByIds(String[] ids);
}
