package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.CPhone;

/**
 * 分机信息Mapper接口
 * 
 * @author slibra
 * @date 2024-12-02
 */
public interface CPhoneMapper 
{
    /**
     * 查询分机信息
     * 
     * @param id 分机信息主键
     * @return 分机信息
     */
    public CPhone selectCPhoneById(String id);

    /**
     * 查询分机信息列表
     * 
     * @param cPhone 分机信息
     * @return 分机信息集合
     */
    public List<CPhone> selectCPhoneList(CPhone cPhone);

    /**
     * 新增分机信息
     * 
     * @param cPhone 分机信息
     * @return 结果
     */
    public int insertCPhone(CPhone cPhone);

    /**
     * 修改分机信息
     * 
     * @param cPhone 分机信息
     * @return 结果
     */
    public int updateCPhone(CPhone cPhone);

    /**
     * 删除分机信息
     * 
     * @param id 分机信息主键
     * @return 结果
     */
    public int deleteCPhoneById(String id);

    /**
     * 批量删除分机信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCPhoneByIds(String[] ids);
}
