package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.TUserInfo;
import com.slibra.business.res.NeighbourAndMeterPhoneResp;

/**
 * 用户信息Mapper接口
 * 
 * @author slibra
 * @date 2024-11-06
 */
public interface TUserInfoMapper 
{
    /**
     * 查询用户信息
     * 
     * @param id 用户信息主键
     * @return 用户信息
     */
    public TUserInfo selectTUserInfoById(Long id);

    /**
     * 查询用户信息列表
     * 
     * @param tUserInfo 用户信息
     * @return 用户信息集合
     */
    public List<TUserInfo> selectTUserInfoList(TUserInfo tUserInfo);

    /**
     * 新增用户信息
     * 
     * @param tUserInfo 用户信息
     * @return 结果
     */
    public int insertTUserInfo(TUserInfo tUserInfo);

    /**
     * 修改用户信息
     * 
     * @param tUserInfo 用户信息
     * @return 结果
     */
    public int updateTUserInfo(TUserInfo tUserInfo);

    /**
     * 删除用户信息
     * 
     * @param id 用户信息主键
     * @return 结果
     */
    public int deleteTUserInfoById(Long id);

    /**
     * 批量删除用户信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTUserInfoByIds(Long[] ids);

    List<NeighbourAndMeterPhoneResp> selectNeighbourAndMeterPhoneByPhone(String phone);

    List<NeighbourAndMeterPhoneResp> selectNeighbourAndMeterPhoneByNeighbour(String asrText);
}
