package com.slibra.business.req;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import static com.slibra.common.constant.MyConstants.*;


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ChatRequest {

    @JSONField(name = "bot_id")
    private String botId = "721";

    @JSONField(name = "exp_id")
    private String expId = "721";

    @JSONField(name = "session_id")
    private String sessionId;

    //2024年7月12日16:37:32  由字符串改成布尔类型
    @JSONField(name = "use_rag")
    private Boolean useRag = false;//2024年7月12日15:25:44  只有问答才传true，其他默认都false

    @JSONField(name = "prompt")
    private String prompt = "你是LibraAI水务大模型，由红杉天枰开发的水务垂直大语言模型，能够提供水务行业专家问答、智能决策、报表分析、智能工单管理等一系列功能，作为水务人的AI助手，你会竭尽全力帮助我处理工作问题。";

    @JSONField(name = "history_dia")
    private List<String> historyDia;

    @JSONField(name = "generate_args")
    private GenerateArgs generateArgs = new GenerateArgs(2048);

    @JSONField(name = "extra")
    private Map<String, Object> extra;

    @JSONField(name = "strengthen")
    private Boolean strengthen;

    //2024年7月3日16:18:48 新增参数
    //2024年7月8日13:37:58 逻辑调整：截止到目前，只有专家问答才传true（可能走工具调用），其他都是false（都不走工具）。
    //2024年08月11日15:49:04 调整：专家问答目前也是传false了，只有具体工具才传工具名称
    @JSONField(name = "tools")
    private String tools = "false";


    public static void main(String[] args) {
        //2024年7月26日10:37:50  自定义工单的传参demo给永创
        ChatRequest chatRequest = new ChatRequest();
        chatRequest.setTools(TOOLS_WORK_ORDER);
        String timeBegin = "2024/07/11";
        String timeEnd = "2024/07/12";
        //存放的JSON
        HashMap<String, Object> map = new HashMap<>();
        map.put(TIMEBEGIN, timeBegin);
        map.put(TIMEEND, timeEnd);
        map.put(MODULE, MODULE_CONTENT_CUSTOM);
        map.put(TYPE, 2);
        //拼装的SQL
        HashMap<String, Object> sqlMap = new HashMap<>();
        StringBuilder sb = new StringBuilder();
        sqlMap.put(ONLINE, sb.append(TOOLS_WORK_ORDER_SQL_INDUSTRY).append(TOOLS_WORK_ORDER_SQL_DIAN_BEGIN).append(TIMEBEGIN).append(TOOLS_WORK_ORDER_SQL_DIAN_END).append(TOOLS_WORK_ORDER_SQL_AND).append(TOOLS_WORK_ORDER_SQL_DIAN_BEGIN).append(TIMEEND).append(TOOLS_WORK_ORDER_SQL_DIAN_END).append(TOOLS_WORK_ORDER_SQL_END).toString());
        sb = new StringBuilder();
        sqlMap.put(REPORT, sb.append(TOOLS_WORK_ORDER_SQL_DAILY).append(TOOLS_WORK_ORDER_SQL_DIAN_BEGIN).append(TIMEBEGIN).append(TOOLS_WORK_ORDER_SQL_DIAN_END).append(TOOLS_WORK_ORDER_SQL_AND).append(TOOLS_WORK_ORDER_SQL_DIAN_BEGIN).append(TIMEEND).append(TOOLS_WORK_ORDER_SQL_DIAN_END).append(TOOLS_WORK_ORDER_SQL_END).toString());
        sb = new StringBuilder();
        sqlMap.put(ROBOT, sb.append(TOOLS_WORK_ORDER_SQL_ROBOT).append(TOOLS_WORK_ORDER_SQL_DIAN_BEGIN).append(TIMEBEGIN).append(TOOLS_WORK_ORDER_SQL_DIAN_END).append(TOOLS_WORK_ORDER_SQL_AND).append(TOOLS_WORK_ORDER_SQL_DIAN_BEGIN).append(TIMEEND).append(TOOLS_WORK_ORDER_SQL_DIAN_END).append(TOOLS_WORK_ORDER_SQL_END).toString());
        map.put(DATA, sqlMap);
        chatRequest.setHistoryDia(Collections.singletonList(JSON.toJSONString(map)));
        System.out.println(JSON.toJSONString(chatRequest));
    }


}
