package com.slibra.business.req;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class GenerateArgs {

    @JSONField(name = "max_new_tokens")
    private int maxNewTokens = 1024;

    @JSONField(name = "max_length")
    private int maxLength = 4096;

    @JSONField(name = "num_beams")
    private int numBeams = 1;

    @JSONField(name = "do_sample")
    private boolean doSample = true;

    @JSONField(name = "top_p")
    private double topP = 0.7D;

    @JSONField(name = "temperature")
    private double temperature = 0.95D;


    public GenerateArgs(int maxNewTokens) {
        this.maxNewTokens = maxNewTokens;
    }
}
