package com.slibra.business.res;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
//通话记录统计相关的bean
public class CallRecordCount {

    //累计电话量
    private int total;


    //------传统客服------
    //电话量
    private int humanTotal;

    //总量占比
    private BigDecimal humanPercent = BigDecimal.ZERO;


    //------AI客服开始------
    //------白名单直呼------
    //电话量
    private int whiteListTotal;

    //总量占比
    private BigDecimal whiteListPercent = BigDecimal.ZERO;


    //------AI机器人------
    //电话量 2024年12月19日15:01:22 这里展示的只是呼入[]
    private int aiTotal;

    //总量占比
    private BigDecimal aiPercent = BigDecimal.ZERO;

    //------传统服务------
    //电话量 2024年12月19日14:50:48 改成【呼入量】
    private int traditionTotal;

    //2024年12月19日15:04:19 新增字段 传统服务-呼出量
    private int traditionOutTotal;

    //总量占比
    private BigDecimal traditionPercent = BigDecimal.ZERO;

    //12345转入次数
    private int specialCount;

    //转人工次数
    private int transferCount;
    //------AI客服结束------

    //------人工客服状态开始------
    //登录总数
    private int totalPerson;

    //置闲数
    private int idlePerson;

    //置忙数
    private int busyPerson;

    //通话中数
    private int onlinePerson;

    //拨号中数
    private int dialPerson;

    //累计通话
    private int personCount;

    //2024年12月31日13:53:16 新增统计字段
    //累计通话-接通
    private int personCountOn;

    //累计通话-未接通
    private int personCountOff;

    //2024年12月31日13:53:16 新增统计字段-结束

    //累计通话时长
    private long personTotal;
    //------人工客服状态结束------


    //------机器人客服状态开始------
    //在线
    private int robotOnLineCount = 8;

    //异常
    private int robotExceptionCount = 0;

    //转人工
    private int robotTransfer;

    //累计通话
    private int robotCount;

    //累计通话时长
    private long robotTotal;

    //------机器人客服状态结束------
}

