package com.slibra.business.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户信息对象 t_user_info
 * 
 * @author slibra
 * @date 2024-11-06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FeeInfo
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 最新抄表日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最新抄表日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date statisticsTime;

    /** 未扣费总额[冗余字段] *//*
    @JsonIgnore
    @Excel(name = "未扣费总额[冗余字段]")
    private BigDecimal unpaidFees;

    *//** 账户余额[冗余字段] *//*
    @JsonIgnore
    @Excel(name = "账户余额[冗余字段]")
    private BigDecimal balanceFees;*/

    /** 欠费金额 */
    @Excel(name = "欠费金额")
    private BigDecimal waterFees;

    /** 抄表表数 */
    @Excel(name = "抄表表数")
    private BigDecimal meterAmount;

    /** 抄表员姓名 */
    @Excel(name = "抄表员姓名")
    private String meterReader;

    /** 抄表员电话 */
    @Excel(name = "抄表员电话")
    private String meterReaderPhone;

}
