package com.slibra.business.res;

import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 用户信息对象 t_user_info
 * 
 * @author slibra
 * @date 2024-11-06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserExcelInfo
{
    private static final long serialVersionUID = 1L;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private String userNo = "";

    /** 水表号 */
    @Excel(name = "水表号")
    private String ammeterNo = "";

    /** 水表地址 */
    @Excel(name = "用户/水表地址")
    private String pumpingStationAddress = "";

    /** 泵站 */
    @Excel(name = "泵站")
    private String remark = "";

   /* *//** 用户名称 *//*
    @Excel(name = "用户名称")
    private String name;

    *//** 移动电话（来电号码） *//*
    @Excel(name = "移动电话", readConverterExp = "来=电号码")
    private String phone;*/

    /** 街道 */
    @Excel(name = "街道")
    private String street = "";

    /** 小区名称 */
    @Excel(name = "小区名称")
    private String neighbourhoodName = "";

    /** 楼号 */
    @Excel(name = "楼号")
    private String buildingNo = "";

    /** 门牌号 */
    @Excel(name = "门牌号")
    private String doorNo = "";

    /** 抄表员姓名 */
    @Excel(name = "抄表员名称")
    private String meterReader = "";

    /** 抄表员电话 */
    @Excel(name = "抄表员电话")
    private String meterReaderPhone = "";

}
