package com.slibra.business.service;

import java.util.List;
import com.slibra.business.domain.TCutOffWater;
import com.slibra.business.res.CutOffExtraRes;

/**
 * 停水信息Service接口
 * 
 * @author slibra
 * @date 2024-11-05
 */
public interface ITCutOffWaterService 
{
    /**
     * 查询停水信息
     * 
     * @param id 停水信息主键
     * @return 停水信息
     */
    public TCutOffWater selectTCutOffWaterById(Long id);

    /**
     * 查询停水信息列表
     * 
     * @param tCutOffWater 停水信息
     * @return 停水信息集合
     */
    public List<TCutOffWater> selectTCutOffWaterList(TCutOffWater tCutOffWater);

    /**
     * 新增停水信息
     * 
     * @param tCutOffWater 停水信息
     * @return 结果
     */
    public int insertTCutOffWater(TCutOffWater tCutOffWater);

    /**
     * 修改停水信息
     * 
     * @param tCutOffWater 停水信息
     * @return 结果
     */
    public int updateTCutOffWater(TCutOffWater tCutOffWater);

    /**
     * 批量删除停水信息
     * 
     * @param ids 需要删除的停水信息主键集合
     * @return 结果
     */
    public int deleteTCutOffWaterByIds(Long[] ids);

    /**
     * 删除停水信息信息
     * 
     * @param id 停水信息主键
     * @return 结果
     */
    public int deleteTCutOffWaterById(Long id);

    List<CutOffExtraRes> getExtraListByType(int type, String id);
}
