package com.slibra.business.service;

import java.util.List;

import com.slibra.business.domain.TNeighborhood;
import com.slibra.business.domain.TPumpingStation;
import com.slibra.business.req.NeighbourhoodNumberAndAddFlagReq;
import com.slibra.business.res.NeighbourhoodNumberAndAddFlag;

/**
 * 泵站Service接口
 * 
 * @author slibra
 * @date 2024-11-05
 */
public interface ITPumpingStationService 
{
    /**
     * 查询泵站
     * 
     * @param id 泵站主键
     * @return 泵站
     */
    public TPumpingStation selectTPumpingStationById(Long id);

    /**
     * 查询泵站列表
     * 
     * @param tPumpingStation 泵站
     * @return 泵站集合
     */
    public List<TPumpingStation> selectTPumpingStationList(TPumpingStation tPumpingStation);

    /**
     * 新增泵站
     * 
     * @param tPumpingStation 泵站
     * @return 结果
     */
    public int insertTPumpingStation(TPumpingStation tPumpingStation);

    /**
     * 修改泵站
     * 
     * @param tPumpingStation 泵站
     * @return 结果
     */
    public int updateTPumpingStation(TPumpingStation tPumpingStation);

    /**
     * 批量删除泵站
     * 
     * @param ids 需要删除的泵站主键集合
     * @return 结果
     */
    public int deleteTPumpingStationByIds(Long[] ids);

    /**
     * 删除泵站信息
     * 
     * @param id 泵站主键
     * @return 结果
     */
    public int deleteTPumpingStationById(Long id);

    List<NeighbourhoodNumberAndAddFlag> getBuildingsAndFlagByID2(NeighbourhoodNumberAndAddFlagReq req);

    String addPumpingStationAndNeighbourhoodBuildings(List<TNeighborhood> req);

    List<TNeighborhood> getSimpleNeighbourhoodList(TNeighborhood tNeighborhood);
}
