package com.slibra.business.service;

import java.util.List;
import com.slibra.business.domain.TZuoxiRecord;

/**
 * 添加坐席用户记录Service接口
 * 
 * @author slibra
 * @date 2025-01-08
 */
public interface ITZuoxiRecordService 
{
    /**
     * 查询添加坐席用户记录
     * 
     * @param id 添加坐席用户记录主键
     * @return 添加坐席用户记录
     */
    public TZuoxiRecord selectTZuoxiRecordById(Long id);

    /**
     * 查询添加坐席用户记录列表
     * 
     * @param tZuoxiRecord 添加坐席用户记录
     * @return 添加坐席用户记录集合
     */
    public List<TZuoxiRecord> selectTZuoxiRecordList(TZuoxiRecord tZuoxiRecord);

    /**
     * 新增添加坐席用户记录
     * 
     * @param tZuoxiRecord 添加坐席用户记录
     * @return 结果
     */
    public int insertTZuoxiRecord(TZuoxiRecord tZuoxiRecord);

    /**
     * 修改添加坐席用户记录
     * 
     * @param tZuoxiRecord 添加坐席用户记录
     * @return 结果
     */
    public int updateTZuoxiRecord(TZuoxiRecord tZuoxiRecord);

    /**
     * 批量删除添加坐席用户记录
     * 
     * @param ids 需要删除的添加坐席用户记录主键集合
     * @return 结果
     */
    public int deleteTZuoxiRecordByIds(Long[] ids);

    /**
     * 删除添加坐席用户记录信息
     * 
     * @param id 添加坐席用户记录主键
     * @return 结果
     */
    public int deleteTZuoxiRecordById(Long id);
}
