package com.slibra.business.service.impl;

import java.util.List;
import com.slibra.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.slibra.business.mapper.TCutOffWaterExtraMapper;
import com.slibra.business.domain.TCutOffWaterExtra;
import com.slibra.business.service.ITCutOffWaterExtraService;

/**
 * 停水记录管理小区泵站关系Service业务层处理
 * 
 * @author slibra
 * @date 2024-11-14
 */
@Service
public class TCutOffWaterExtraServiceImpl implements ITCutOffWaterExtraService 
{
    @Autowired
    private TCutOffWaterExtraMapper tCutOffWaterExtraMapper;

    /**
     * 查询停水记录管理小区泵站关系
     * 
     * @param id 停水记录管理小区泵站关系主键
     * @return 停水记录管理小区泵站关系
     */
    @Override
    public TCutOffWaterExtra selectTCutOffWaterExtraById(Long id)
    {
        return tCutOffWaterExtraMapper.selectTCutOffWaterExtraById(id);
    }

    /**
     * 查询停水记录管理小区泵站关系列表
     * 
     * @param tCutOffWaterExtra 停水记录管理小区泵站关系
     * @return 停水记录管理小区泵站关系
     */
    @Override
    public List<TCutOffWaterExtra> selectTCutOffWaterExtraList(TCutOffWaterExtra tCutOffWaterExtra)
    {
        return tCutOffWaterExtraMapper.selectTCutOffWaterExtraList(tCutOffWaterExtra);
    }

    /**
     * 新增停水记录管理小区泵站关系
     * 
     * @param tCutOffWaterExtra 停水记录管理小区泵站关系
     * @return 结果
     */
    @Override
    public int insertTCutOffWaterExtra(TCutOffWaterExtra tCutOffWaterExtra)
    {
        tCutOffWaterExtra.setCreateTime(DateUtils.getNowDate());
        return tCutOffWaterExtraMapper.insertTCutOffWaterExtra(tCutOffWaterExtra);
    }

    /**
     * 修改停水记录管理小区泵站关系
     * 
     * @param tCutOffWaterExtra 停水记录管理小区泵站关系
     * @return 结果
     */
    @Override
    public int updateTCutOffWaterExtra(TCutOffWaterExtra tCutOffWaterExtra)
    {
        tCutOffWaterExtra.setUpdateTime(DateUtils.getNowDate());
        return tCutOffWaterExtraMapper.updateTCutOffWaterExtra(tCutOffWaterExtra);
    }

    /**
     * 批量删除停水记录管理小区泵站关系
     * 
     * @param ids 需要删除的停水记录管理小区泵站关系主键
     * @return 结果
     */
    @Override
    public int deleteTCutOffWaterExtraByIds(Long[] ids)
    {
        return tCutOffWaterExtraMapper.deleteTCutOffWaterExtraByIds(ids);
    }

    /**
     * 删除停水记录管理小区泵站关系信息
     * 
     * @param id 停水记录管理小区泵站关系主键
     * @return 结果
     */
    @Override
    public int deleteTCutOffWaterExtraById(Long id)
    {
        return tCutOffWaterExtraMapper.deleteTCutOffWaterExtraById(id);
    }
}
