package com.slibra.business.service.impl;

import java.util.List;
import com.slibra.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.slibra.business.mapper.TPumpingStationNeighbourhoodNumberMapper;
import com.slibra.business.domain.TPumpingStationNeighbourhoodNumber;
import com.slibra.business.service.ITPumpingStationNeighbourhoodNumberService;

/**
 * 泵站-小区楼号中间Service业务层处理
 * 
 * @author slibra
 * @date 2024-11-05
 */
@Service
public class TPumpingStationNeighbourhoodNumberServiceImpl implements ITPumpingStationNeighbourhoodNumberService 
{
    @Autowired
    private TPumpingStationNeighbourhoodNumberMapper tPumpingStationNeighbourhoodNumberMapper;

    /**
     * 查询泵站-小区楼号中间
     * 
     * @param id 泵站-小区楼号中间主键
     * @return 泵站-小区楼号中间
     */
    @Override
    public TPumpingStationNeighbourhoodNumber selectTPumpingStationNeighbourhoodNumberById(Long id)
    {
        return tPumpingStationNeighbourhoodNumberMapper.selectTPumpingStationNeighbourhoodNumberById(id);
    }

    /**
     * 查询泵站-小区楼号中间列表
     * 
     * @param tPumpingStationNeighbourhoodNumber 泵站-小区楼号中间
     * @return 泵站-小区楼号中间
     */
    @Override
    public List<TPumpingStationNeighbourhoodNumber> selectTPumpingStationNeighbourhoodNumberList(TPumpingStationNeighbourhoodNumber tPumpingStationNeighbourhoodNumber)
    {
        return tPumpingStationNeighbourhoodNumberMapper.selectTPumpingStationNeighbourhoodNumberList(tPumpingStationNeighbourhoodNumber);
    }

    /**
     * 新增泵站-小区楼号中间
     * 
     * @param tPumpingStationNeighbourhoodNumber 泵站-小区楼号中间
     * @return 结果
     */
    @Override
    public int insertTPumpingStationNeighbourhoodNumber(TPumpingStationNeighbourhoodNumber tPumpingStationNeighbourhoodNumber)
    {
        tPumpingStationNeighbourhoodNumber.setCreateTime(DateUtils.getNowDate());
        return tPumpingStationNeighbourhoodNumberMapper.insertTPumpingStationNeighbourhoodNumber(tPumpingStationNeighbourhoodNumber);
    }

    /**
     * 修改泵站-小区楼号中间
     * 
     * @param tPumpingStationNeighbourhoodNumber 泵站-小区楼号中间
     * @return 结果
     */
    @Override
    public int updateTPumpingStationNeighbourhoodNumber(TPumpingStationNeighbourhoodNumber tPumpingStationNeighbourhoodNumber)
    {
        tPumpingStationNeighbourhoodNumber.setUpdateTime(DateUtils.getNowDate());
        return tPumpingStationNeighbourhoodNumberMapper.updateTPumpingStationNeighbourhoodNumber(tPumpingStationNeighbourhoodNumber);
    }

    /**
     * 批量删除泵站-小区楼号中间
     * 
     * @param ids 需要删除的泵站-小区楼号中间主键
     * @return 结果
     */
    @Override
    public int deleteTPumpingStationNeighbourhoodNumberByIds(Long[] ids)
    {
        return tPumpingStationNeighbourhoodNumberMapper.deleteTPumpingStationNeighbourhoodNumberByIds(ids);
    }

    /**
     * 删除泵站-小区楼号中间信息
     * 
     * @param id 泵站-小区楼号中间主键
     * @return 结果
     */
    @Override
    public int deleteTPumpingStationNeighbourhoodNumberById(Long id)
    {
        return tPumpingStationNeighbourhoodNumberMapper.deleteTPumpingStationNeighbourhoodNumberById(id);
    }
}
