package com.slibra.business.service.impl;

import java.util.List;
import com.slibra.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.slibra.business.mapper.TUserAgentMapper;
import com.slibra.business.domain.TUserAgent;
import com.slibra.business.service.ITUserAgentService;

/**
 * 用户坐席关系中间Service业务层处理
 * 
 * @author slibra
 * @date 2024-11-25
 */
@Service
public class TUserAgentServiceImpl implements ITUserAgentService 
{
    @Autowired
    private TUserAgentMapper tUserAgentMapper;

    /**
     * 查询用户坐席关系中间
     * 
     * @param id 用户坐席关系中间主键
     * @return 用户坐席关系中间
     */
    @Override
    public TUserAgent selectTUserAgentById(Long id)
    {
        return tUserAgentMapper.selectTUserAgentById(id);
    }

    /**
     * 查询用户坐席关系中间列表
     * 
     * @param tUserAgent 用户坐席关系中间
     * @return 用户坐席关系中间
     */
    @Override
    public List<TUserAgent> selectTUserAgentList(TUserAgent tUserAgent)
    {
        return tUserAgentMapper.selectTUserAgentList(tUserAgent);
    }

    /**
     * 新增用户坐席关系中间
     * 
     * @param tUserAgent 用户坐席关系中间
     * @return 结果
     */
    @Override
    public int insertTUserAgent(TUserAgent tUserAgent)
    {
        tUserAgent.setCreateTime(DateUtils.getNowDate());
        return tUserAgentMapper.insertTUserAgent(tUserAgent);
    }

    /**
     * 修改用户坐席关系中间
     * 
     * @param tUserAgent 用户坐席关系中间
     * @return 结果
     */
    @Override
    public int updateTUserAgent(TUserAgent tUserAgent)
    {
        tUserAgent.setUpdateTime(DateUtils.getNowDate());
        return tUserAgentMapper.updateTUserAgent(tUserAgent);
    }

    /**
     * 批量删除用户坐席关系中间
     * 
     * @param ids 需要删除的用户坐席关系中间主键
     * @return 结果
     */
    @Override
    public int deleteTUserAgentByIds(Long[] ids)
    {
        return tUserAgentMapper.deleteTUserAgentByIds(ids);
    }

    /**
     * 删除用户坐席关系中间信息
     * 
     * @param id 用户坐席关系中间主键
     * @return 结果
     */
    @Override
    public int deleteTUserAgentById(Long id)
    {
        return tUserAgentMapper.deleteTUserAgentById(id);
    }
}
